<?php

// This file sets up your connection parameters
$GLOBALS['dbuser'][0] = 'root';
$GLOBALS['dbpass'][0] = '';
$GLOBALS['dbhost'][0] = 'localhost';
// Note that the db is a session variable.  This is for the initial connection, 
// users can change DBs later
$_SESSION['db'][0] = 'test';


// The mytop DB can be a central analysis DB which can be feed queries caught
// during execution for further analysis.  Future versions of phpMyTop will do 
// significantly more with this information to help you optimize your DB/Queries.
$GLOBALS['mytop_dbuser'] = 'root';
$GLOBALS['mytop_dbpass'] = '';
$GLOBALS['mytop_dbhost'] = 'localhost';
$GLOBALS['mytop_db'] = 'phpmytop';

// No user modifications below here
$mytop_dsn = "mysql://{$GLOBALS['mytop_dbuser']}:{$GLOBALS['mytop_dbpass']}@{$GLOBALS['mytop_dbhost']}/{$GLOBALS['mytop_db']}";

require_once('DB.php');

// Build a DSN from Connection Parameters and connect
for ($i = 0; $i < count($_SESSION['db']); $i++) {
	$GLOBALS['dsn'][$i] = "mysql://{$GLOBALS['dbuser'][$i]}:{$GLOBALS['dbpass'][$i]}@{$GLOBALS['dbhost'][$i]}/{$_SESSION['db'][$i]}";
	$GLOBALS['dbconn'][$i] = DB::connect($GLOBALS['dsn'][$i]);
	if (DB::isError($GLOBALS['dbconn'][$i])) {
		die($GLOBALS['dbconn'][$i]->getMessage());
	}
}

// Connect to mytop DB for reporting metadata and query history
$GLOBALS['mytop_dbconn'] = DB::connect($mytop_dsn);
if (DB::isError($GLOBALS['mytop_dbconn'])) {
    die($GLOBALS['mytop_dbconn']->getMessage());
}

//print_r($GLOBALS);

function my_print_r($var) {
	print "<pre>\n";
	print_r($var);
	print "</pre>\n";
}

?>
